Comment 2 for bug 184743

Michał Sędkowski (sedmich) wrote :

Well Flash was recently updated while the installer package was not and it simply can't recognize the new version.
There is an updated version in Hardy but due to dependency problems it won't do us no good.

As a temporary measure you can use the Debian updated packages available here:
for i386:
http://http.us.debian.org/debian/pool/contrib/f/flashplugin-nonfree/flashplugin-nonfree_9.0.115.0.1_i386.deb
for x86_64:
http://http.us.debian.org/debian/pool/contrib/f/flashplugin-nonfree/flashplugin-nonfree_9.0.115.0.1_amd64.deb

After updating the package, flash works nicely again.